commit:     b1a5ae496cf9be315215fabe097b4518e61426db
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  1 18:48:09 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Oct  1 18:48:09 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1a5ae49

dev-python/click: Version bump

Package-Manager: portage-2.2.22

 dev-python/click/Manifest         |  1 +
 dev-python/click/click-5.1.ebuild | 42 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index 84bb34b..e4428f0 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -1,3 +1,4 @@
 DIST click-2.0.tar.gz 47342 SHA256 
33a984fe73aa8c6bf69c38098b69dd38405529db54baf4c8cf64c50b2dee644f SHA512 
4c703ab4b5c76e393420b0edf9af9e8ddb301ccfef5f8117d3408eaa8a94abe6b7b5c7a8b61b7774a3b459b153c10438e8934f21ceb73697199828cce2c2887c
 WHIRLPOOL 
bf599395245319b31c189df297a1ec35ca69723ed24e2d3e9aa9231a3cfebdb80e1f43a0b010865b6fbecf09f23dc1121cca232aec26f09bdb455f41da5261c4
 DIST click-4.0.tar.gz 270183 SHA256 
f49e03611f5f2557788ceeb80710b1c67110f97c5e6740b97edf70245eea2409 SHA512 
7b3b3e3b57fe74e8d2e3be79c59476fe7830c04068f0e31b39dfee28d879d8a96eed311fbe789bfc6d12c898052ea1c901c3b6f4c995cd4e0ede61b62fe0a39a
 WHIRLPOOL 
fd183c6509c3d8a3c582454aac8a18b3d570c16ca4b1cf19dbdd97d8846fde62fadd7d80596eb321a67e48477853b26cb7e5d554c9254061ab1bb74a52d3a05a
 DIST click-4.1.tar.gz 274489 SHA256 
e339ed09f25e2145314c902a870bc959adcb25653a2bd5cc1b48d9f56edf8ed8 SHA512 
fe751406919d06a3ccffc2831992848d8e324f0f0ca566ea3b9ed0be3298c8d1e2039643eadc71eb4dfabd790310396cd5b26a11d7b6f6cdf503f191ce6dd1cd
 WHIRLPOOL 
3005501210fae07d3cbdd5674a22d24b577c02ba20c34fb94f3bf7011ec2d26847b7faca5fe74ca620bdc8a0c4bfaecdf5dbcf4c2f0046de76e8b13628e2910f
+DIST click-5.1.tar.gz 275592 SHA256 
678c98275431fad324275dec63791e4a17558b40e5a110e20a82866139a85a5a SHA512 
b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a
 WHIRLPOOL 
8bda8de886a272972595bf51af3881962063daaa4fc9e104af59b4798008a2f780c3fb4a758d7fe14ef075b92aecc43415b08bb213cbd6ac4ab92a56e405276e

diff --git a/dev-python/click/click-5.1.ebuild 
b/dev-python/click/click-5.1.ebuild
new file mode 100644
index 0000000..d3161e0
--- /dev/null
+++ b/dev-python/click/click-5.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.python.org/pypi/click";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # Prevent un-needed d'loading
+       sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       emake test
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}

Reply via email to